var _this = this;

import React, { Component } from 'react';
import PropTypes from 'prop-types';

import styles from './styles';

var CompatCard = function CompatCard(props) {

  var handleSelect = function handleSelect() {
    return props.onSelect && props.onSelect(_this.props.id);
  };

  return React.createElement(
    'div',
    { style: styles.card },
    React.createElement(
      'div',
      null,
      props.title
    )
  );
};

CompatCard.propTypes = process.env.NODE_ENV !== "production" ? {
  id: PropTypes.number.isRequired,
  title: PropTypes.string.isRequired,
  image: PropTypes.string,
  subtitle: PropTypes.string,
  contentTitle: PropTypes.string,
  contentText: PropTypes.string,
  primaryText: PropTypes.string,
  secondaryText: PropTypes.string,
  headerButton: PropTypes.node,
  footerButton: PropTypes.string,
  status: PropTypes.string,
  footerStatusIcon: PropTypes.node,
  onSelect: PropTypes.func,
  onFooterButtonClick: PropTypes.func,
  onHeaderButtonClick: PropTypes.func
} : {};

export default CompatCard;