'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styles = require('./styles');

var _styles2 = _interopRequireDefault(_styles);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CompatCard = function CompatCard(props) {

  var handleSelect = function handleSelect() {
    return props.onSelect && props.onSelect(undefined.props.id);
  };

  return _react2.default.createElement(
    'div',
    { style: _styles2.default.card },
    _react2.default.createElement(
      'div',
      null,
      props.title
    )
  );
};

CompatCard.propTypes = process.env.NODE_ENV !== "production" ? {
  id: _propTypes2.default.number.isRequired,
  title: _propTypes2.default.string.isRequired,
  image: _propTypes2.default.string,
  subtitle: _propTypes2.default.string,
  contentTitle: _propTypes2.default.string,
  contentText: _propTypes2.default.string,
  primaryText: _propTypes2.default.string,
  secondaryText: _propTypes2.default.string,
  headerButton: _propTypes2.default.node,
  footerButton: _propTypes2.default.string,
  status: _propTypes2.default.string,
  footerStatusIcon: _propTypes2.default.node,
  onSelect: _propTypes2.default.func,
  onFooterButtonClick: _propTypes2.default.func,
  onHeaderButtonClick: _propTypes2.default.func
} : {};

exports.default = CompatCard;
module.exports = exports['default'];